// @ts-nocheck

/**
 * @name              snippet
 * @namespace           shared.tags
 * @type              Function
 * @platform            node
 * @status              beta
 *
 * Parse the snippet tag
 *
 * @param       {Object}          data        The data object parsed in the string
 * @param       {ISDocblockBlockSettings}     blockSettings     The SDocblockBlock settings
 * @snippet      {Object}                      The formated object
 *
 * @todo      interface
 * @todo      doc
 *
 * @since     2.0.0
 * @author 	Olivier Bossel <olivier.bossel@gmail.com>
 */
function snippet(data, blockSettings) {
    if (data.content && data.content[data.content.length - 1] === '') {
        data.content = data.content.slice(0, -1);
    }
    return {
        language:
            typeof data.value === 'string'
                ? data.value.toLowerCase()
                : data.value,
        code: Array.isArray(data.content)
            ? data.content.join('\n')
            : data.content,
    };
}
export default snippet;
